---
title: Setup
description: "Learn how to setup newsletter module in your Nuxt 3 application."
---

Check out the [Nuxt 3 documentation](https://v3.nuxtjs.org/docs/directory-structure/nuxt.config#buildmodules) for more information about installing and using modules.

## Installation

Add `nuxt-newsletter` dependency to your project:

::code-group
```bash [yarn]
yarn add nuxt-newsletter
```
```bash [NPM]
npm install nuxt-newsletter --save
```
::

Then, add `nuxt-newsletter` to the [`modules`](https://v3.nuxtjs.org/api/configuration/nuxt.config#modules) section of your Nuxt configuration:

```ts [nuxt.config.js|ts]
export default defineNuxtConfig({
  modules: [
    [
      "nuxt-newsletter",
      {
        // Options
      },
    ],
  ],
  // Or
  newsletter: {
    // Options
  },
});
```

## Options

Defaults:

```ts
{
  <NEWSLETTER_PROVIDER>: {
    apiKey: process.env.BUTTONDOWN_API_KEY,
    component: true
  },
}
```

### `apiKey`

API Key that will allow the module to communicate with the newsletter API

### `component`

If set to true, it will automatically import the `NewsletterForm.vue` component.
