---
title: Mailchimp
description: 'Learn more about the Mailchimp provider integration for newsletter module.'
---

Get down to business and grow sales. Engage your customers and boost your business with Mailchimp's advanced, yet easy‑to‑use marketing platform.

You can learn more about Mailchimp [here](https://mailchimp.com/)

## Usage

In order to have Mailchimp as your newsletter provider set the provider option in the configuration options of the `nuxt-newsletter` module to 'mailchimp' like following:

```ts [nuxt.config.js|ts]
export default defineNuxtConfig({
  modules: [
    'nuxt-newsletter'
  ],
  newsletter: {
    mailchimp: {
      apiKey: process.env.MAILCHIMP_API_KEY,
      serverPrefix: process.env.MAILCHIMP_SERVER_PREFIX,
      audienceId: process.env.MAILCHIMP_AUDIENCE_ID,
      component: true // optional
    }
  }
})
```

You can then use the built in `NewsletterForm.vue` component or `useNewsletterSubscribe` composable to handle adding new email to subscribers list.
